Build failed in Jenkins: IcedTea8TargetTesting #1077

Hudson Admin gnu.andrew at redhat.com
Tue May 12 18:33:12 UTC 2015


See <http://toadeater.yyz.redhat.com:8080/job/IcedTea8TargetTesting/1077/>

------------------------------------------
[...truncated 101563 lines...]
        *.tar.*) /bin/tar xf jaxws.tar.xz ;; \
      esac; \
      mv jaxws-7ba7b06f15cf openjdk/jaxws ; \
    fi ; \
  fi ; \
fi
set -e ; \
if [ ! -z jdk.tar.xz ] ; then \
  if test -e jdk.tar.xz ; \
  then \
    if ! test -d openjdk/jdk ; \
    then \
      case "jdk.tar.xz" in \
        *.zip) /bin/unzip -q jdk.tar.xz ;; \
        *.tar.*) /bin/tar xf jdk.tar.xz ;; \
      esac; \
      mv jdk-a5c3d9643077 openjdk/jdk ; \
    fi ; \
  fi ; \
fi
set -e ; \
if [ ! -z langtools.tar.xz ] ; then \
  if test -e langtools.tar.xz ; \
  then \
    if ! test -d openjdk/langtools ; \
    then \
      case "langtools.tar.xz" in \
        *.zip) /bin/unzip -q langtools.tar.xz ;; \
        *.tar.*) /bin/tar xf langtools.tar.xz ;; \
      esac; \
      mv langtools-0d5d2b8411d9 openjdk/langtools ; \
    fi ; \
  fi ; \
fi
rm -rf openjdk/jdk/make/tools/src/build/tools/javazic
touch stamps/extract-openjdk.stamp
ln -sf /notnfs/nighttester/drops/cacao/cacao8.tar.gz cacao-e215e36be9fc.tar.gz
if ! echo "4966514c72ee7ed108b882d9b6e65c3adf8a8f9c2dccb029f971b3c8cb4870ab  cacao-e215e36be9fc.tar.gz" \
 | /bin/sha256sum --check ; \
then \
 if test "xno" = "xyes"; then \
   if [ -e cacao-e215e36be9fc.tar.gz ] ; then \
     mv cacao-e215e36be9fc.tar.gz cacao-e215e36be9fc.tar.gz.old ; \
   fi ; \
   /bin/wget http://icedtea.classpath.org/download/drops/cacao/e215e36be9fc.tar.gz -O cacao-e215e36be9fc.tar.gz; \
   if ! echo "4966514c72ee7ed108b882d9b6e65c3adf8a8f9c2dccb029f971b3c8cb4870ab  cacao-e215e36be9fc.tar.gz" \
     | /bin/sha256sum --check ; then \
     echo "ERROR: Bad download of CACAO zip"; false; \
   fi; \
 else \
   echo "ERROR: No up-to-date CACAO zip available"; exit -1; \
 fi ; \
fi
cacao-e215e36be9fc.tar.gz: OK
mkdir -p stamps
touch stamps/download-cacao.stamp
set -e ; \
if ! test -d cacao/cacao ; \
then \
  mkdir cacao ; \
  /bin/tar xzf cacao-e215e36be9fc.tar.gz -C cacao ; \
  dir=$(basename cacao/cacao-*) ; \
  ln -s $dir cacao/cacao ; \
  cd cacao/cacao ; \
  cd .. ; \
fi
mkdir -p stamps
touch stamps/extract-cacao.stamp
ln -sf /notnfs/nighttester/drops/icedtea8/hotspot.tar.xz hotspot.tar.xz
if ! echo ""`gawk 'version==$1 {print $5}' version=default /notnfs/nighttester/icedtea8-target-testing/hotspot.map`"  hotspot.tar.xz" \
  | /bin/sha256sum --check ; \
then \
  if test "xno" = "xyes"; then \
    if [ -e hotspot.tar.xz ] ; then \
      mv hotspot.tar.xz hotspot.tar.xz.old ; \
    fi ; \
    if test "x"`gawk 'version==$1 {print $2}' version=default /notnfs/nighttester/icedtea8-target-testing/hotspot.map`"" = "xhg"; then \
      /bin/wget "`gawk 'version==$1 {print $3}' version=default /notnfs/nighttester/icedtea8-target-testing/hotspot.map`"/archive/"`gawk 'version==$1 {print $4}' version=default /notnfs/nighttester/icedtea8-target-testing/hotspot.map`".tar.gz -O hotspot.tar.xz ; \
    else \
      /bin/wget "`gawk 'version==$1 {print $3}' version=default /notnfs/nighttester/icedtea8-target-testing/hotspot.map`"/hotspot.tar.xz ; \
            fi ; \
    if ! echo ""`gawk 'version==$1 {print $5}' version=default /notnfs/nighttester/icedtea8-target-testing/hotspot.map`"  hotspot.tar.xz" \
      | /bin/sha256sum --check ; then \
      echo "ERROR: Bad download of HotSpot zip"; false; \
    fi; \
  else \
    echo "ERROR: No up-to-date OpenJDK HotSpot zip available"; exit -1; \
  fi ; \
fi
hotspot.tar.xz: OK
mkdir -p stamps
touch stamps/download-hotspot.stamp
set -e ; \
if [ ! -z hotspot.tar.xz ] ; then \
  if test -e hotspot.tar.xz ; \
  then \
    case "hotspot.tar.xz" in \
      *.zip) /bin/unzip -q hotspot.tar.xz ;; \
      *.tar.*) /bin/tar xf hotspot.tar.xz ;; \
    esac; \
    if test "xdefault" != "xdefault"; then \
      rm -rf openjdk/hotspot ; \
    fi ; \
    if ! test -d openjdk/hotspot ; \
    then \
      mv hotspot-"`gawk 'version==$1 {print $4}' version=default /notnfs/nighttester/icedtea8-target-testing/hotspot.map`" openjdk/hotspot ; \
    else \
      rm -rf hotspot-"`gawk 'version==$1 {print $4}' version=default /notnfs/nighttester/icedtea8-target-testing/hotspot.map`" ; \
    fi ; \
  fi ; \
fi
touch stamps/extract-hotspot.stamp
ln -sf /notnfs/nighttester/drops/icedtea8/nashorn.tar.xz nashorn.tar.xz
if ! echo "b85c66df90280d529894563ab774968a462a57ad9568d8a2ab31a7f897cbe1e2  nashorn.tar.xz" \
  | /bin/sha256sum --check ; \
then \
  if test "xno" = "xyes"; then \
    if [ -e nashorn.tar.xz ] ; then \
      mv nashorn.tar.xz nashorn.tar.xz.old ; \
    fi ; \
    /bin/wget http://icedtea.classpath.org/download/drops/icedtea8/nashorn.tar.xz; \
    if ! echo "b85c66df90280d529894563ab774968a462a57ad9568d8a2ab31a7f897cbe1e2  nashorn.tar.xz" \
      | /bin/sha256sum --check ; then \
      echo "ERROR: Bad download of NASHORN zip"; false; \
    fi; \
  else \
    echo "ERROR: No up-to-date OpenJDK Nashorn zip available"; exit -1; \
  fi ; \
fi
nashorn.tar.xz: OK
mkdir -p stamps
touch stamps/download-nashorn.stamp
set -e ; \
if [ ! -z nashorn.tar.xz ] ; then \
  if test -e nashorn.tar.xz ; \
  then \
    if ! test -d openjdk/nashorn ; \
    then \
      case "nashorn.tar.xz" in \
        *.zip) /bin/unzip -q nashorn.tar.xz ;; \
        *.tar.*) /bin/tar xf nashorn.tar.xz ;; \
      esac; \
      mv nashorn-d8fc6574c0b2 openjdk/nashorn ; \
    fi ; \
  fi ; \
fi
mkdir -p stamps
touch stamps/extract-nashorn.stamp
chmod -R ug+w openjdk 
sh ./fsg.sh
Further liberating OpenJDK...
touch stamps/sanitise-openjdk.stamp
sh /notnfs/nighttester/icedtea8-target-testing/remove-intree-libraries.sh
Removing zlib
touch stamps/remove-intree-libraries.stamp
mkdir -p stamps
touch stamps/download-jamvm.stamp
mkdir -p stamps
touch stamps/extract-jamvm.stamp
mkdir -p stamps
touch stamps/extract.stamp
mkdir -p stamps ; \
rm -f stamps/patch-fsg.stamp.tmp ; \
touch stamps/patch-fsg.stamp.tmp ; \
all_patches_ok=yes; \
for p in  ; \
do \
  if test x${all_patches_ok} = "xyes" \
    && echo Checking $p \
    && /bin/patch -l -p0 --dry-run -s -t -f \
      -F 0 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
  then \
    echo Applying $p ; \
    /bin/patch -l -p0 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
    if ! grep "^\* $(basename $p)" /notnfs/nighttester/icedtea8-target-testing/HACKING \
      >> stamps/patch-fsg.stamp.tmp ; \
    then \
      echo "* $(basename $p): UNDOCUMENTED" \
        >> stamps/patch-fsg.stamp.tmp ; \
    fi ; \
  else \
    test x${all_patches_ok} = "xyes" && all_patches_ok=$p ; \
  fi ; \
done ; \
mv stamps/patch-fsg.stamp.tmp stamps/patch-fsg.stamp ; \
if ! test x${all_patches_ok} = "xyes"; then \
  echo ERROR patch ${all_patches_ok} FAILED! ; \
  echo WARNING make clean-patch before retrying a fix ; \
  exit 2; \
fi ; 
mkdir -p stamps ; \
rm -f stamps/patch.stamp.tmp ; \
touch stamps/patch.stamp.tmp ; \
all_patches_ok=yes; \
cd /notnfs/nighttester/icedtea8-target-testing/openjdk/jdk; \
for p in  ; \
do \
  if test x${all_patches_ok} == "xyes" \
     && echo Checking $p \
     && /bin/patch -l -p1 --dry-run -s -t -f -F 0 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
  then \
    echo Applying $p ; \
    /bin/patch -l -p1 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
  else \
    test x${all_patches_ok} == "xyes" && all_patches_ok=$p ; \
  fi ; \
done ; \
cd /notnfs/nighttester/icedtea8-target-testing ; \
for p in patches/memory-limits.patch patches/override-redirect-metacity.patch patches/cacao/launcher.patch patches/cacao/memory.patch patches/cacao/armhf.patch patches/cacao/pr2032.patch  patches/cacao/ignore-tests.patch  patches/systemtap-gcc-4.5.patch   patches/nss-not-enabled-config.patch  ; \
do \
  if test x${all_patches_ok} = "xyes" \
    && echo Checking $p \
    && /bin/patch -l -p0 --dry-run -s -t -f \
      -F 0 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
  then \
    echo Applying $p ; \
    /bin/patch -l -p0 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
    if ! grep "^\* $(basename $p)" /notnfs/nighttester/icedtea8-target-testing/HACKING \
      >> stamps/patch.stamp.tmp ; \
    then \
      echo "* $(basename $p): UNDOCUMENTED" \
        >> stamps/patch.stamp.tmp ; \
    fi ; \
  else \
    test x${all_patches_ok} = "xyes" && all_patches_ok=$p ; \
  fi ; \
done ; \
if ! test x${all_patches_ok} = "xyes"; then \
  echo ERROR patch ${all_patches_ok} FAILED! ; \
  echo WARNING make clean-patch before retrying a fix ; \
  exit 2; \
fi ; \
mv stamps/patch.stamp.tmp stamps/patch.stamp 
Checking patches/memory-limits.patch
Applying patches/memory-limits.patch
patching file openjdk/hotspot/src/share/vm/runtime/globals.hpp
Hunk #1 succeeded at 3153 (offset 40 lines).
Checking patches/override-redirect-metacity.patch
Applying patches/override-redirect-metacity.patch
patching file openjdk/jdk/src/solaris/classes/sun/awt/X11/XWindowPeer.java
Hunk #1 succeeded at 1215 (offset 73 lines).
Checking patches/cacao/launcher.patch
1 out of 3 hunks FAILED
ERROR patch patches/cacao/launcher.patch FAILED!
WARNING make clean-patch before retrying a fix
make: *** [stamps/patch.stamp] Error 2
+ exit 1
Build step 'Execute shell' marked build as failure
No JDK named ‘(Default)’ found


More information about the icedtea-test mailing list